<ng-container *transloco="let t; read: 'organization'">
  <div class="twelve-column-container flex-column margin-center">
    <div class="flex-column organization-header">
      <div class="logo-container">
        <img
          class="org-vendor-logo"
          [src]="organization?.logo_url ?? fallbackImg"
          alt="Logo">
      </div>
      <h1>{{organization?.organization_name}}</h1>
      <div class="flex-column">
        <div
          *ngIf="organization?.details?.number_of_members"
          class="members">
          {{organization?.details?.number_of_members}} {{organization?.details?.number_of_members! > 1 ? t('members') : t('member')}}
        </div>
        <div class="comma">
          <ng-container *ngFor="let category of organization?.details?.categories; last as l">
            <div class="comma-item">
              {{'organization_categories.'+category|transloco}}
              <div *ngIf="!l">,&nbsp;</div>
            </div>
          </ng-container>
        </div>
      </div>
      <button
        *ngIf="loggedIn"
        mat-flat-button
        color="primary"
        class="organization-join-button round-button"
        [disabled]="this.request?.request_state === RequestState.REQUESTED || isMemberOfOrganization"
        (click)="joinButtonClicked.emit({organizationId: organization?.organization_id})">
        <span *ngIf="this.request?.request_state !== RequestState.REQUESTED && !isMemberOfOrganization && loggedIn">{{t('join')}}</span>
        <span *ngIf="isMemberOfOrganization">{{t('already_member')}}</span>
        <span *ngIf="this.request?.request_state === RequestState.REQUESTED">{{t('requested')}}</span>
      </button>
    </div>
  </div>
  <mat-divider></mat-divider>
  <div class="twelve-column-container flex-column margin-center padding">
    <div class="about-container">
      <p>
        {{organization?.details?.description|translate:t('no_description')}}
      </p>
    </div>
  </div>
  <div class="contact-background">
    <div class="twelve-column-container flex-column margin-center">
      <div
        class="contact-header-container"
        *transloco="let c; read: 'contact'">
        <h2>{{c('contact')}}</h2>
      </div>
    </div>
  </div>
  <mat-divider></mat-divider>
  <div class="contact-background">
    <div class="twelve-column-container flex-column margin-center">
      <div class="contact-info-container">
        <app-organization-detail-contact-data-item
          type="address"
          [data]="[
          organization?.contact_data?.street_name + ' ' + organization?.contact_data?.street_number,
          organization?.contact_data?.zip_code + ' ' + organization?.contact_data?.place_name
        ]">
        </app-organization-detail-contact-data-item>
        <app-organization-detail-contact-data-item
          type="phone_number"
          [isPublic]="organization?.contact_data?.phone_number ? true : false"
          [data]="[
          organization?.contact_data?.phone_number
          ]">
        </app-organization-detail-contact-data-item>
        <app-organization-detail-contact-data-item
          type="email"
          [isPublic]="organization?.contact_data?.email_address ? true : false"
          [isEmail]="true"
          [data]="[
          organization?.contact_data?.email_address
          ]">
        </app-organization-detail-contact-data-item>
        <app-organization-detail-contact-data-item
          type="country"
          [data]="[
          organization?.contact_data?.country_code|codeToCountry|ngrxPush
          ]">
        </app-organization-detail-contact-data-item>
        <app-organization-detail-contact-data-item
          type="fax_number"
          [isPublic]="organization?.contact_data?.fax_number ? true : false"
          [data]="[
          organization?.contact_data?.fax_number
          ]">
        </app-organization-detail-contact-data-item>
        <app-organization-detail-contact-data-item
          type="website"
          [isLink]="true"
          [data]="[
          organization?.contact_data?.website
          ]">
        </app-organization-detail-contact-data-item>
      </div>
    </div>
  </div>
</ng-container>
